<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>title</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
</head>

<body>
    <div class="row">
        <div class="col-sm-6">
            <input type="text" style="width:200px;" class="form-control">
        </div>
        <div class="col-sm-6">
            <input type="button" value="ボタン（１段目）" class="btn btn-primary">
        </div>
    </div>
    <div class="row">
        <div class="col-sm-6">

        </div>
        <div class="col-sm-6">
            <input type="button" value="ボタン（２段目）" class="btn btn-primary">
        </div>
    </div>
</body>

</html>
